- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Vst::SVstProcessInformation Struct Reference

List of all members.

## Detailed Description

Stores info about the current setup of the vst (blocksize, sr, bpm etc).

Date:
  07/05/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk Please note that VST is copyright Steinberg Media GmBh. No challenge is made to any of their trademarks To use this file, you require a copy of the VST SDK, available from www.steinberg.net for free

Id
  SVstProcessInformation.hpp,v 1.3 2007/02/08 21:08:23 paul Exp

Definition at line 27 of file SVstProcessInformation.hpp.

## Public Member Functions

- void intialise ()

## Public Attributes

- long m_blockSize
- bool m_blockSizeChanged
- double m_bpm
- bool m_enabled
- double m_sampleRate
- bool m_sampleRateChanged

## Member Function Documentation

void Exponent::Vst::SVstProcessInformation::intialise | ( |  | ) | `[inline]`

Initialise all variables

Definition at line 39 of file SVstProcessInformation.hpp.

References m_blockSize, m_blockSizeChanged, m_bpm, m_enabled, m_sampleRate, and m_sampleRateChanged.

## Member Data Documentation

long Exponent::Vst::SVstProcessInformation::m_blockSize

Current max sampleFrames

Definition at line 31 of file SVstProcessInformation.hpp.

Referenced by intialise().

bool Exponent::Vst::SVstProcessInformation::m_blockSizeChanged

Has the block size changed since the last time

Definition at line 33 of file SVstProcessInformation.hpp.

Referenced by intialise().

double Exponent::Vst::SVstProcessInformation::m_bpm

Current bpm

Definition at line 29 of file SVstProcessInformation.hpp.

Referenced by intialise().

bool Exponent::Vst::SVstProcessInformation::m_enabled

If we catch an exception this will be set to false..

Definition at line 32 of file SVstProcessInformation.hpp.

Referenced by intialise().

double Exponent::Vst::SVstProcessInformation::m_sampleRate

Current sampleRate

Definition at line 30 of file SVstProcessInformation.hpp.

Referenced by intialise().

bool Exponent::Vst::SVstProcessInformation::m_sampleRateChanged

Has the sample rate changed since the last time

Definition at line 34 of file SVstProcessInformation.hpp.

Referenced by intialise().